---
# tasks file for paas-ci
- name: "Check Orchestrator endpoint"
  uri:
    url: "{{ paas_ci_orchestrator_url }}"

- debug:
    var: paas_ci_workdir  

- include: 1-create-deployment.yml
  when: paas_ci_test_step == 'create_deployment'

- include: 2-scan.yml
  when: paas_ci_test_step == 'scan' and paas_ci_test.endpoints_to_scan is defined

- include: 3-clean.yml
  when: paas_ci_test_step == 'clean'